# TYTD Archive Page
[See mine at tytdarchive.site.tesses.net](https://tytdarchive.site.tesses.net/)

> This code has been modified to be easier to setup on your own hardware

## What is needed to use
- A webserver with php and mysql
- .NET 8 to build the mysql db from [TYTD](https://tesses.net/apps/tytd/2022/)

## How to build database
- edit videos-to-db/Program.cs to your database settings
- run once with created=false
- then run again with created=true and you can do that in the future to build db larger

## How to setup the website (website specific config)
- edit www/db.php to your database config
- edit www/vars.php for everything else
- the php instance must have mysql

## Showcase YouTube's removed videos you have preserved
- cd into removed directory
- edit Program.cs for config
- dotnet run
- cd into ../removed_php_gen directory
- dotnet run ../removed/removed_have.txt TYTDDir WebsiteDirectory
- add link to the php filename into index.php of website